Parameters
user
dictionary
key
boolean
Description
When `true`, include `auth_key` and `refresh_key` in the response.
uuid
string
RequiredDescription
Unique device or app session identifier used to attach the created session.
username
string
RequiredDescription
Unique direct-registration username or external identity key for the user.
type
string
RequiredDescription
User type to assign. This route currently accepts `customer`.
first_name
string
Description
First name to store on the user profile.
last_name
string
Description
Last name to store on the user profile.
email
string
Description
Email address to store on the user profile.
locale
string
Description
Preferred locale stored for the user. Falls back to the tenant default language when omitted.
auth_type
number
Description
Auth type stored for the identity. Defaults to `6` (`AUTH_TYPE_DIRECT_REGISTRATION`) when omitted.
POST/v1/users
bash
curl https://api.tradly.app/v1/users \
-H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
-H "Content-Type: application/json" \
-X POST \
-d '{
"user": {
"key": true,
"uuid": "4f045199-18f3-4d47-b8ed-cf4252cb98d0",
"username": "external-user-1001",
"type": "customer",
"first_name": "Charles",
"last_name": "Pearson",
"email": "your_name@example.com",
"locale": "en",
"auth_type": 6
}
}'RESPONSE
json
{
"status": true,
"data": {
"user": {
"id": "692ee113-310b-4e66-b5b5-33796f9616e3",
"first_name": "Charles",
"last_name": "Pearson",
"username": "external-user-1001",
"email": "your_name@example.com",
"profile_pic": "",
"email_verified": false,
"metadata": {},
"type": [
"customer"
],
"mobile": "",
"dial_code": "",
"key": {
"auth_key": "<AUTH_KEY>",
"refresh_key": "<REFRESH_KEY>"
}
}
}
}